VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vapi::Metadata::SourceInfo Class Reference
Inheritance diagram for Com::Vmware::Vapi::Metadata::SourceInfo:

## Avaliable Methods
public method | set_msg_protocol ()
public method | set_file_name ()
public method | set_type ()
public method | get_file_name ()
public method | set_remote_addr ()
public method | new ()
public method | get_type ()
public method | get_msg_protocol ()
public method | get_remote_addr ()

## Detailed Description

Metadata source info

## Member Function Documentation

public method Com::Vmware::Vapi::Metadata::SourceInfo::get_file_name | ( |  | ) |

Gets the value of 'file_name' property.

Return values

  file_name | - The current value of the field. Name of the metadata source file optional#

Code:
click to view
# Number of lines of code in get_file_name: 4
sub get_file_name {
my ($self, %args) = @_;
return $self->{'file_name'};
}

public method Com::Vmware::Vapi::Metadata::SourceInfo::get_msg_protocol | ( |  | ) |

Gets the value of 'msg_protocol' property.

Return values

  msg_protocol | - The current value of the field. Message protocol to be used optional#

Code:
click to view
# Number of lines of code in get_msg_protocol: 4
sub get_msg_protocol {
my ($self, %args) = @_;
return $self->{'msg_protocol'};
}

public method Com::Vmware::Vapi::Metadata::SourceInfo::get_remote_addr | ( |  | ) |

Gets the value of 'remote_addr' property.

Return values

  remote_addr | - The current value of the field. Address of the remote metadata source optional#

Code:
click to view
# Number of lines of code in get_remote_addr: 4
sub get_remote_addr {
my ($self, %args) = @_;
return $self->{'remote_addr'};
}

public method Com::Vmware::Vapi::Metadata::SourceInfo::get_type | ( |  | ) |

Gets the value of 'type' property.

Return values

  type | - The current value of the field. Type of the metadata source SourceType#

Code:
click to view
# Number of lines of code in get_type: 4
sub get_type {
my ($self, %args) = @_;
return $self->{'type'};
}

public method Com::Vmware::Vapi::Metadata::SourceInfo::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vapi::Metadata::SourceInfo structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 30
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
$validatorList = [
new Com::Vmware::Vapi::Data::UnionValidator(
'discriminant_name' => 'type',
'case_map' => {
'FILE' => ['file_name'],
'REMOTE' => ['remote_addr', 'msg_protocol'],
}),
];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{type} = $args{'type'};
$self->{file_name} = $args{'file_name'};
$self->{remote_addr} = $args{'remote_addr'};
$self->{msg_protocol} = $args{'msg_protocol'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vapi::Metadata::SourceInfo');
$self->set_binding_name('name' => 'com.vmware.vapi.metadata.source_info');
$self->set_binding_field('key' => 'type', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vapi::Metadata', 'type_name' => 'SourceType'));
$self->set_binding_field('key' => 'file_name', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'remote_addr', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'msg_protocol', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vapi::Metadata::SourceInfo::set_file_name | ( |  | ) |

Sets the given value for 'file_name' property.

Parameters

  file_name | - New value for the field. Name of the metadata source file

Code:
click to view
# Number of lines of code in set_file_name: 5
sub set_file_name {
my ($self, %args) = @_;
$self->{'file_name'} = $args{'file_name'};
return;
}

public method Com::Vmware::Vapi::Metadata::SourceInfo::set_msg_protocol | ( |  | ) |

Sets the given value for 'msg_protocol' property.

Parameters

  msg_protocol | - New value for the field. Message protocol to be used

Code:
click to view
# Number of lines of code in set_msg_protocol: 5
sub set_msg_protocol {
my ($self, %args) = @_;
$self->{'msg_protocol'} = $args{'msg_protocol'};
return;
}

public method Com::Vmware::Vapi::Metadata::SourceInfo::set_remote_addr | ( |  | ) |

Sets the given value for 'remote_addr' property.

Parameters

  remote_addr | - New value for the field. Address of the remote metadata source

Code:
click to view
# Number of lines of code in set_remote_addr: 5
sub set_remote_addr {
my ($self, %args) = @_;
$self->{'remote_addr'} = $args{'remote_addr'};
return;
}

public method Com::Vmware::Vapi::Metadata::SourceInfo::set_type | ( |  | ) |

Sets the given value for 'type' property.

Parameters

  type | - New value for the field. Type of the metadata source

Code:
click to view
# Number of lines of code in set_type: 5
sub set_type {
my ($self, %args) = @_;
$self->{'type'} = $args{'type'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vapi/Metadata/SourceInfo.pm